Bug 59946 - initscripts-6.43-1 sets LANG incorrectly for tcsh users
initscripts-6.43-1 sets LANG incorrectly for tcsh users
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-02-15 09:19 EST by Ivo
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-15 09:19:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivo 2002-02-15 09:19:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020212

Description of problem:
/etc/profile.d/lang.csh sets the LANG environment variable incorrectly from
GDM_LANG. The relevant lines are

if ($?GDM_LANG) then
    set sourced=1
    setenv LANG=$GDM_LANG

The correct setenv line should read
   setenv LANG $GDM_LANG

Version-Release number of selected component (if applicable):
This bug was introduced in the recent initscripts-6.43-1

How reproducible:

Steps to Reproduce:
1. setenv GDM_LANG en_US (if not sytem default anyway)
2. source /etc/profile.d/lang.csh
3. bash -c tcsh 
4. echo $LANG

Actual Results:  $LANG holds  "en_US="

Expected Results:  $LANG should be "en_US"

Additional info:

The above sequence of tcsh calling bash calling tcsh happens for most of our
users at login, since most have /bin/tcsh as shell and a /bin/sh interpreted
.xsession file.
Comment 1 Bill Nottingham 2002-02-25 12:33:07 EST
Thanks, will be fixed in 6.54-1.

Note You need to log in before you can comment on or make changes to this bug.